@import "../../styles/variables";
@import "../../styles/mixins";

.cui-scrollable {
  display: flex;
  position: relative;
  overflow: hidden;

  .scrollable-content {
    overflow: hidden;
    flex: 1 1 auto;

    &.scroll-x { overflow-x: auto; }
    &.scroll-y { overflow-y: auto; }
    &.no-overscroll { overscroll-behavior: contain; }
  }

  // ----- scroll shadows

  %shadow { position: absolute; @include cui-elevation-transition(); }
  .shadow-top { @extend %shadow; z-index: 2; width: 100%; top: 0; }
  .shadow-left { @extend %shadow; z-index: 4; height: 100%; left: 0; }
  .shadow-right { @extend %shadow; z-index: 4; height: 100%; right: 0; }
  .shadow-bottom { @extend %shadow; z-index: 2; width: 100%; bottom: 0; }

  &.cui-scrollable-top .shadow-top,
  &.cui-scrollable-left .shadow-left,
  &.cui-scrollable-right .shadow-right,
  &.cui-scrollable-bottom .shadow-bottom {
    box-shadow: $cui-scrollable-shadow;
  }
}
